Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5160)
@@ -347,5 +347,5 @@
       fnday = -nday / float(day_step)
     endif
-    print *, 'fnday=', fnday
+    PRINT *, 'fnday=', fnday
     !     start_time doit etre en FRACTION DE JOUR
     start_time = time_ini / 24.
@@ -372,5 +372,5 @@
     ! Print out the actual date of the beginning of the simulation :
     CALL ju2ymds(daytime, year_print, month_print, day_print, sec_print)
-    print *, ' Time of beginning : ', &
+    PRINT *, ' Time of beginning : ', &
             year_print, month_print, day_print, sec_print
 
@@ -429,5 +429,5 @@
       fsens = -wtsurf * rcpd * rho(1)
       flat = -wqsurf * rlvtt * rho(1)
-      print *, 'Flux: ok_flux wtsurf wqsurf', ok_flux_surf, wtsurf, wqsurf
+      PRINT *, 'Flux: ok_flux wtsurf wqsurf', ok_flux_surf, wtsurf, wqsurf
     ENDIF
     PRINT*, 'Flux sol ', fsens, flat
@@ -440,5 +440,5 @@
     IF (ok_old_disvert) THEN
       CALL disvert0(pa, preff, ap, bp, dpres, presnivs, nivsigs, nivsig)
-      print *, 'On utilise disvert0'
+      PRINT *, 'On utilise disvert0'
       aps(1:llm) = 0.5 * (ap(1:llm) + ap(2:llm + 1))
       bps(1:llm) = 0.5 * (bp(1:llm) + bp(2:llm + 1))
@@ -447,5 +447,5 @@
     ELSE
       CALL disvert()
-      print *, 'On utilise disvert'
+      PRINT *, 'On utilise disvert'
       !       Nouvelle version disvert permettant d imposer ap,bp (modif L.Guez) MPL 18092012
       !       Dans ce cas, on lit ap,bp dans le fichier hybrid.txt
@@ -464,5 +464,5 @@
         IF (trouve_700 .AND. play(l)<=70000) THEN
           llm700 = l
-          print *, 'llm700,play=', llm700, play(l) / 100.
+          PRINT *, 'llm700,play=', llm700, play(l) / 100.
           trouve_700 = .FALSE.
         endif
@@ -750,5 +750,5 @@
                 ! Print out the actual date of the beginning of the simulation :
                 CALL ju2ymds(daytime, an, mois, jour, heure)
-        print *, ' Time of beginning : y m d h', an, mois,jour, heure/3600.
+        PRINT *, ' Time of beginning : y m d h', an, mois,jour, heure/3600.
 
         day = int(daytime)
@@ -844,5 +844,5 @@
                 !---------------------------------------------------------------------
                 IF (prt_level>=1) THEN
-                print *, ' avant physiq : -------- day time ', day, time
+                PRINT *, ' avant physiq : -------- day time ', day, time
                         WRITE(*, *) 'firstcall,lastcall,phis', &
                 firstcall, lastcall, phis
@@ -1019,5 +1019,5 @@
 
                 IF (prt_level>=3) THEN
-                print *, &
+                PRINT *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
                 temp(1), dt_phys(1), d_t_adv(1), dt_cooling(1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5160)
@@ -892,9 +892,9 @@
     !       endif
     timeit = (day - day_ju_ini_cas) * 86400
-    print *, 'day=', day
-    print *, 'day_ju_ini_cas=', day_ju_ini_cas
-    print *, 'pdt_cas=', pdt_cas
-    print *, 'timeit=', timeit
-    print *, 'nt_cas=', nt_cas
+    PRINT *, 'day=', day
+    PRINT *, 'day_ju_ini_cas=', day_ju_ini_cas
+    PRINT *, 'pdt_cas=', pdt_cas
+    PRINT *, 'timeit=', timeit
+    PRINT *, 'nt_cas=', nt_cas
 
     ! Determine the closest observation times:
@@ -912,8 +912,8 @@
     time_cas1 = (it_cas1 - 1) * pdt_cas
     time_cas2 = (it_cas2 - 1) * pdt_cas
-    print *, 'it_cas1=', it_cas1
-    print *, 'it_cas2=', it_cas2
-    print *, 'time_cas1=', time_cas1
-    print *, 'time_cas2=', time_cas2
+    PRINT *, 'it_cas1=', it_cas1
+    PRINT *, 'it_cas2=', it_cas2
+    PRINT *, 'time_cas1=', time_cas1
+    PRINT *, 'time_cas2=', time_cas2
 
     IF (it_cas1 > nt_cas) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5160)
@@ -363,5 +363,5 @@
     ierr = nf90_inq_varid(nid, 'time', timeid)
     IF(ierr/=nf90_noerr) THEN
-      print *, 'Variable time manquante dans cas.nc:'
+      PRINT *, 'Variable time manquante dans cas.nc:'
       ierr = nf90_noerr
     else
@@ -369,5 +369,5 @@
       ierr = nf90_get_var(nid, timeid, time_val)
       IF(ierr/=nf90_noerr) THEN
-        print *, 'Pb a la lecture de time cas.nc: '
+        PRINT *, 'Pb a la lecture de time cas.nc: '
       endif
     endif
@@ -562,27 +562,27 @@
 
     DO i = 1, nbvar3d
-      print *, 'Dans read_cas2, on va lire ', nid, i, name_var(i)
+      PRINT *, 'Dans read_cas2, on va lire ', nid, i, name_var(i)
     enddo
     DO i = 1, nbvar3d
       ierr = nf90_inq_varid(nid, name_var(i), var3didin(i))
-      print *, 'ierr=', i, ierr, name_var(i), var3didin(i)
+      PRINT *, 'ierr=', i, ierr, name_var(i), var3didin(i)
       IF(ierr/=nf90_noerr) THEN
-        print *, 'Variable manquante dans cas.nc:', name_var(i)
+        PRINT *, 'Variable manquante dans cas.nc:', name_var(i)
       endif
     enddo
     DO i = 1, nbvar3d
-      print *, 'Dans read_cas2, on va lire ', var3didin(i), name_var(i)
+      PRINT *, 'Dans read_cas2, on va lire ', var3didin(i), name_var(i)
       IF(i<=35) THEN
         ierr = nf90_get_var(nid, var3didin(i), resul, count = [1, 1, nlevel, ntime])
-        print *, 'Dans read_cas2, on a lu ', ierr, var3didin(i), name_var(i)
+        PRINT *, 'Dans read_cas2, on a lu ', ierr, var3didin(i), name_var(i)
         IF(ierr/=nf90_noerr) THEN
-          print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+          PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
           stop "getvarup"
         endif
       else
-        print *, 'Dans read_cas2, on a lu ', ierr, var3didin(i), name_var(i)
+        PRINT *, 'Dans read_cas2, on a lu ', ierr, var3didin(i), name_var(i)
         ierr = nf90_get_var(nid, var3didin(i), resul1, count = [1, 1, ntime])
         IF(ierr/=nf90_noerr) THEN
-          print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+          PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
           stop "getvarup"
         endif
@@ -686,5 +686,5 @@
       ierr = nf90_inq_varid(nid, name_var(i), var3didin(i))
       IF(ierr/=nf90_noerr) THEN
-        print *, 'Variable manquante dans cas.nc:', i, name_var(i)
+        PRINT *, 'Variable manquante dans cas.nc:', i, name_var(i)
         ierr = nf90_noerr
         missing_var(i) = 1
@@ -693,7 +693,7 @@
         IF(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), apbp, count = [1, 1, nlevel + 1])
-          print *, 'read2_cas(apbp), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(apbp), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -701,7 +701,7 @@
         else IF(i>4.AND.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul, count = [1, 1, nlevel, ntime])
-          print *, 'read2_cas(resul), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -709,7 +709,7 @@
         ELSE IF (i>45.AND.i<=51) then   ! Lecture des variables en (time,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul2, count = [1, 1, ntime])
-          print *, 'read2_cas(resul2), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul2), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -717,7 +717,7 @@
         else     ! Lecture des constantes (lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul3)
-          print *, 'read2_cas(resul3), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul3), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -858,5 +858,5 @@
       ierr = nf90_inq_varid(nid, name_var(i), var3didin(i))
       IF(ierr/=nf90_noerr) THEN
-        print *, 'Variable manquante dans cas.nc:', i, name_var(i)
+        PRINT *, 'Variable manquante dans cas.nc:', i, name_var(i)
         ierr = nf90_noerr
         missing_var(i) = 1
@@ -865,7 +865,7 @@
         IF(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), apbp)
-          print *, 'read2_cas(apbp), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(apbp), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -873,7 +873,7 @@
         else IF(i>4.AND.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul1)
-          print *, 'read2_cas(resul1), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul1), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -882,7 +882,7 @@
         else IF(i>12.AND.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul)
-          print *, 'read2_cas(resul), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -891,7 +891,7 @@
         ELSE IF (i>54.AND.i<=65) then   ! Lecture des variables en (time,lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul2)
-          print *, 'read2_cas(resul2), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul2), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -900,7 +900,7 @@
         else     ! Lecture des constantes (lat,lon)
           ierr = nf90_get_var(nid, var3didin(i), resul3)
-          print *, 'read2_cas(resul3), on a lu ', i, name_var(i)
+          PRINT *, 'read2_cas(resul3), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -1107,9 +1107,9 @@
     !       endif
     timeit = (day - day_ju_ini_cas) * 86400
-    !print *,'day=',day
-    !print *,'day_ju_ini_cas=',day_ju_ini_cas
-    !print *,'pdt_cas=',pdt_cas
-    !print *,'timeit=',timeit
-    !print *,'nt_cas=',nt_cas
+    !PRINT *,'day=',day
+    !PRINT *,'day_ju_ini_cas=',day_ju_ini_cas
+    !PRINT *,'pdt_cas=',pdt_cas
+    !PRINT *,'timeit=',timeit
+    !PRINT *,'nt_cas=',nt_cas
 
     ! Determine the closest observation times:
@@ -1127,5 +1127,5 @@
     time_cas1 = (it_cas1 - 1) * pdt_cas
     time_cas2 = (it_cas2 - 1) * pdt_cas
-    !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+    !PRINT *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
     IF (it_cas1 > nt_cas) THEN
@@ -1319,9 +1319,9 @@
     !       endif
     timeit = (day - day_ju_ini_cas) * 86400
-    !print *,'day=',day
-    !print *,'day_ju_ini_cas=',day_ju_ini_cas
-    !print *,'pdt_cas=',pdt_cas
-    !print *,'timeit=',timeit
-    !print *,'nt_cas=',nt_cas
+    !PRINT *,'day=',day
+    !PRINT *,'day_ju_ini_cas=',day_ju_ini_cas
+    !PRINT *,'pdt_cas=',pdt_cas
+    !PRINT *,'timeit=',timeit
+    !PRINT *,'nt_cas=',nt_cas
 
     ! Determine the closest observation times:
@@ -1339,6 +1339,6 @@
     time_cas1 = (it_cas1 - 1) * pdt_cas
     time_cas2 = (it_cas2 - 1) * pdt_cas
-    !print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
-    !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+    !PRINT *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
+    !PRINT *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
     IF (it_cas1 > nt_cas) THEN
@@ -1372,5 +1372,5 @@
       t_prof_cas(k) = t_cas(k, it_cas2)                                 &
               - frac * (t_cas(k, it_cas2) - t_cas(k, it_cas1))
-      !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+      !PRINT *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
       theta_prof_cas(k) = theta_cas(k, it_cas2)                         &
               - frac * (theta_cas(k, it_cas2) - theta_cas(k, it_cas1))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5160)
@@ -140,5 +140,5 @@
     ierr = nf90_inq_varid(nid, 'time', timeid)
     IF(ierr/=nf90_noerr) THEN
-      print *, 'Variable time manquante dans cas.nc:'
+      PRINT *, 'Variable time manquante dans cas.nc:'
       ierr = nf90_noerr
     else
@@ -146,5 +146,5 @@
       ierr = nf90_get_var(nid, timeid, time_val)
       IF(ierr/=nf90_noerr) THEN
-        print *, 'A Pb a la lecture de time cas.nc: '
+        PRINT *, 'A Pb a la lecture de time cas.nc: '
       endif
     endif
@@ -425,5 +425,5 @@
       PRINT*, 'name_var(i)', name_var(i), var3didin(i)
       IF(ierr/=nf90_noerr) THEN
-        print *, 'Variable manquante dans cas.nc:', i, name_var(i)
+        PRINT *, 'Variable manquante dans cas.nc:', i, name_var(i)
         ierr = nf90_noerr
         missing_var(i) = 1
@@ -448,7 +448,7 @@
         IF(i<=4) THEN
           ierr = nf90_get_var(nid, var3didin(i), apbp)
-          print *, 'read_SCM(apbp), on a lu ', i, name_var(i)
+          PRINT *, 'read_SCM(apbp), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'B Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'B Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -459,7 +459,7 @@
         else IF(i>4.AND.i<=12) THEN
           ierr = nf90_get_var(nid, var3didin(i), resul1)
-          print *, 'read_SCM(resul1), on a lu ', i, name_var(i)
+          PRINT *, 'read_SCM(resul1), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'C Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'C Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -472,7 +472,7 @@
         else IF(i>12.AND.i<=61) THEN
           ierr = nf90_get_var(nid, var3didin(i), resul)
-          print *, 'read_SCM(resul), on a lu ', i, name_var(i)
+          PRINT *, 'read_SCM(resul), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'D Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'D Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -484,7 +484,7 @@
         ELSE IF (i>62.AND.i<=75) THEN
           ierr = nf90_get_var(nid, var3didin(i), resul2)
-          print *, 'read_SCM(resul2), on a lu ', i, name_var(i)
+          PRINT *, 'read_SCM(resul2), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'E Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'E Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -496,7 +496,7 @@
         else
           ierr = nf90_get_var(nid, var3didin(i), resul3)
-          print *, 'read_SCM(resul3), on a lu ', i, name_var(i)
+          PRINT *, 'read_SCM(resul3), on a lu ', i, name_var(i)
           IF(ierr/=nf90_noerr) THEN
-            print *, 'F Pb a la lecture de cas.nc: ', name_var(i)
+            PRINT *, 'F Pb a la lecture de cas.nc: ', name_var(i)
             stop "getvarup"
           endif
@@ -748,9 +748,9 @@
     !       endif
     timeit = (day - day_ju_ini_cas) * 86400
-    print *, 'day=', day
-    print *, 'day_ju_ini_cas=', day_ju_ini_cas
-    print *, 'pdt_cas=', pdt_cas
-    print *, 'timeit=', timeit
-    print *, 'nt_cas=', nt_cas
+    PRINT *, 'day=', day
+    PRINT *, 'day_ju_ini_cas=', day_ju_ini_cas
+    PRINT *, 'pdt_cas=', pdt_cas
+    PRINT *, 'timeit=', timeit
+    PRINT *, 'nt_cas=', nt_cas
 
     ! Determine the closest observation times:
@@ -768,6 +768,6 @@
     time_cas1 = (it_cas1 - 1) * pdt_cas
     time_cas2 = (it_cas2 - 1) * pdt_cas
-    !     print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
-    !     print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+    !     PRINT *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
+    !     PRINT *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
     IF (it_cas1 > nt_cas) THEN
@@ -805,5 +805,5 @@
       t_prof_cas(k) = t_cas(k, it_cas2)                                 &
               - frac * (t_cas(k, it_cas2) - t_cas(k, it_cas1))
-      !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+      !PRINT *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
       theta_prof_cas(k) = theta_cas(k, it_cas2)                         &
               - frac * (theta_cas(k, it_cas2) - theta_cas(k, it_cas1))
@@ -976,5 +976,5 @@
       IF (play(l)>=plev_prof_cas(nlev_cas)) THEN
         mxcalc = l
-        !        print *,'debut interp2, mxcalc=',mxcalc
+        !        PRINT *,'debut interp2, mxcalc=',mxcalc
         k1 = 0
         k2 = 0
@@ -1044,5 +1044,5 @@
           k1 = 1
           k2 = 2
-          print *, 'interp2_vert, k1,k2=', plev_prof_cas(k1), plev_prof_cas(k2)
+          PRINT *, 'interp2_vert, k1,k2=', plev_prof_cas(k1), plev_prof_cas(k2)
           frac1 = (play(l) - plev_prof_cas(k2)) / (plev_prof_cas(k1) - plev_prof_cas(k2))
           frac2 = (play(l) - plev_prof_cas(k1)) / (plev_prof_cas(k1) - plev_prof_cas(k2))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5160)
@@ -89,5 +89,5 @@
       read(21,'(a)')
       read(21,223) iy, im, id, ih, ts_sandu(ip)
-      print *,'ts=',iy,im,id,ih,ip,ts_sandu(ip)
+      PRINT *,'ts=',iy,im,id,ih,ip,ts_sandu(ip)
       enddo
       close(21)
@@ -130,5 +130,5 @@
      &ug_astex(ip),vg_astex(ip),ufa_astex(ip),vfa_astex(ip)
       ts_astex(ip)=ts_astex(ip)+273.15
-      print *,'ts=',iy,im,id,ih,ip,div_astex(ip),ts_astex(ip),             &
+      PRINT *,'ts=',iy,im,id,ih,ip,div_astex(ip),ts_astex(ip),             &
      &ug_astex(ip),vg_astex(ip),ufa_astex(ip),vg_astex(ip)
       enddo
@@ -643,5 +643,5 @@
 
        DO l = 1,llm
-!      print *,'t_mod(l),thl_mod(l),q_mod(l),u_mod(l),v_mod(l) ',
+!      PRINT *,'t_mod(l),thl_mod(l),q_mod(l),u_mod(l),v_mod(l) ',
 !    $        l,t_mod(l),thl_mod(l),q_mod(l),u_mod(l),v_mod(l)
        enddo
@@ -763,5 +763,5 @@
 
        DO l = 1,llm
-!      print *,'t_mod(l),thl_mod(l),qv_mod(l),u_mod(l),v_mod(l) ',
+!      PRINT *,'t_mod(l),thl_mod(l),qv_mod(l),u_mod(l),v_mod(l) ',
 !    $        l,t_mod(l),thl_mod(l),qv_mod(l),u_mod(l),v_mod(l)
        enddo
@@ -985,6 +985,6 @@
        time_sandu1=(it_sandu1-1)*dt_sandu
        time_sandu2=(it_sandu2-1)*dt_sandu
-       print *,'timeit day day_ini_sandu',timeit,day,day_ini_sandu
-       print *,'it_sandu1,it_sandu2,time_sandu1,time_sandu2',              &
+       PRINT *,'timeit day day_ini_sandu',timeit,day,day_ini_sandu
+       PRINT *,'it_sandu1,it_sandu2,time_sandu1,time_sandu2',              &
      &          it_sandu1,it_sandu2,time_sandu1,time_sandu2
 
@@ -1037,5 +1037,5 @@
       read(21,223) iy, im, id, ih, in, sens(ip),flat(ip),                  &
      &             adv_theta(ip),rad_theta(ip),adv_qt(ip)
-      print *,'forcages=',iy,im,id,ih,in, sens(ip),flat(ip),               &
+      PRINT *,'forcages=',iy,im,id,ih,in, sens(ip),flat(ip),               &
      &             adv_theta(ip),rad_theta(ip),adv_qt(ip)
       enddo
@@ -1159,5 +1159,5 @@
 
 !       do l = 1,llm
-!       print *,'t_mod(l),q_mod(l),ht_mod(l),hq_mod(l) ',
+!       PRINT *,'t_mod(l),q_mod(l),ht_mod(l),hq_mod(l) ',
 !     $        l,t_mod(l),q_mod(l),ht_mod(l),hq_mod(l)
 !       enddo
@@ -1319,5 +1319,5 @@
 
 !       do l = 1,llm
-!       print *,'t_mod_cas(l),q_mod_cas(l),ht_mod_cas(l),hq_mod_cas(l) ',
+!       PRINT *,'t_mod_cas(l),q_mod_cas(l),ht_mod_cas(l),hq_mod_cas(l) ',
 !     $        l,t_mod_cas(l),q_mod_cas(l),ht_mod_cas(l),hq_mod_cas(l)
 !       enddo
@@ -1441,5 +1441,5 @@
 
 !       do l = 1,llm
-!       print *,'t_mod(l),q_mod(l),ht_mod(l),hq_mod(l) ',
+!       PRINT *,'t_mod(l),q_mod(l),ht_mod(l),hq_mod(l) ',
 !     $        l,t_mod(l),q_mod(l),ht_mod(l),hq_mod(l)
 !       enddo
@@ -1504,6 +1504,6 @@
        time_astex1=(it_astex1-1)*dt_astex
        time_astex2=(it_astex2-1)*dt_astex
-       print *,'timeit day day_ini_astex',timeit,day,day_ini_astex
-       print *,'it_astex1,it_astex2,time_astex1,time_astex2',              &
+       PRINT *,'timeit day day_ini_astex',timeit,day,day_ini_astex
+       PRINT *,'it_astex1,it_astex2,time_astex1,time_astex2',              &
      &          it_astex1,it_astex2,time_astex1,time_astex2
 
@@ -1726,7 +1726,7 @@
         IF (forcing_type.EQ.7) THEN
 ! Check that initial day of the simulation consistent with Dice period:
-       print *,'annee_ref=',annee_ref
-       print *,'day1=',day1
-       print *,'day_ini_dice=',day_ini_dice
+       PRINT *,'annee_ref=',annee_ref
+       PRINT *,'day1=',day1
+       PRINT *,'day_ini_dice=',day_ini_dice
        IF (annee_ref.NE.1999) THEN
         PRINT*,'Pour Dice, annee_ref doit etre 1999'
@@ -1835,7 +1835,7 @@
 ! Check that initial day of the simulation consistent with gabls4 period:
        IF (forcing_type.EQ.8 ) THEN
-       print *,'annee_ref=',annee_ref
-       print *,'day1=',day1
-       print *,'day_ini_gabls4=',day_ini_gabls4
+       PRINT *,'annee_ref=',annee_ref
+       PRINT *,'day1=',day1
+       PRINT *,'day_ini_gabls4=',day_ini_gabls4
        IF (annee_ref.NE.2009) THEN
         PRINT*,'Pour gabls4, annee_ref doit etre 2009'
@@ -1856,6 +1856,6 @@
 
       timeit=(day-day_ini_gabls4)*86400
-       print *,'day,day_ini_gabls4=',day,day_ini_gabls4
-       print *,'nt_gabls4,dt,timeit=',nt_gabls4,dt_gabls4,timeit
+       PRINT *,'day,day_ini_gabls4=',day,day_ini_gabls4
+       PRINT *,'nt_gabls4,dt,timeit=',nt_gabls4,dt_gabls4,timeit
 
 ! Determine the closest observation times:
@@ -1931,6 +1931,6 @@
        time_armcu1=(it_armcu1-1)*dt_armcu
        time_armcu2=(it_armcu2-1)*dt_armcu
-       print *,'timeit day day_ini_armcu',timeit,day,day_ini_armcu
-       print *,'it_armcu1,it_armcu2,time_armcu1,time_armcu2',              &
+       PRINT *,'timeit day day_ini_armcu',timeit,day,day_ini_armcu
+       PRINT *,'it_armcu1,it_armcu2,time_armcu1,time_armcu2',              &
      &          it_armcu1,it_armcu2,time_armcu1,time_armcu2
 
@@ -2001,6 +2001,6 @@
         read (ilesfile,*) kmax2
         IF (kmax .NE. kmax2) THEN
-          print *, 'fichiers prof.inp et lscale.inp incompatibles :'
-          print *, 'nbre de niveaux : ',kmax,' et ',kmax2
+          PRINT *, 'fichiers prof.inp et lscale.inp incompatibles :'
+          PRINT *, 'nbre de niveaux : ',kmax,' et ',kmax2
           stop 'lecture profiles'
         endif
@@ -2011,6 +2011,6 @@
         DO k=1,kmax
           IF (height(k) .NE. height1(k)) THEN
-            print *, 'fichiers prof.inp et lscale.inp incompatibles :'
-            print *, 'les niveaux different : ',k,height1(k), height(k)
+            PRINT *, 'fichiers prof.inp et lscale.inp incompatibles :'
+            PRINT *, 'les niveaux different : ',k,height1(k), height(k)
             stop
           endif
@@ -2027,6 +2027,6 @@
         endif
         IF (kmax .NE. kmax2) THEN
-          print *, 'fichiers prof.inp et lscale.inp incompatibles :'
-          print *, 'nbre de niveaux : ',kmax,' et ',kmax2
+          PRINT *, 'fichiers prof.inp et lscale.inp incompatibles :'
+          PRINT *, 'nbre de niveaux : ',kmax,' et ',kmax2
           stop 'lecture profiles'
         endif
@@ -2128,8 +2128,8 @@
        IF(nlev_max.EQ.19) THEN
        open (ilesfile,file='prof.inp.19',status='old',iostat=ierr)
-       print *,'On ouvre prof.inp.19'
+       PRINT *,'On ouvre prof.inp.19'
        ELSE
        open (ilesfile,file='prof.inp.40',status='old',iostat=ierr)
-       print *,'On ouvre prof.inp.40'
+       PRINT *,'On ouvre prof.inp.40'
        ENDIF
         IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
@@ -2144,9 +2144,9 @@
        IF(nlev_max.EQ.19) THEN
        open (ifile,file='proh.inp.19',status='old',iostat=ierr)
-       print *,'On ouvre proh.inp.19'
+       PRINT *,'On ouvre proh.inp.19'
        IF (ierr /= 0) stop 'ERROR:Proh.inp.19 does not exist'
        ELSE
        open (ifile,file='proh.inp.40',status='old',iostat=ierr)
-       print *,'On ouvre proh.inp.40'
+       PRINT *,'On ouvre proh.inp.40'
        IF (ierr /= 0) stop 'ERROR:Proh.inp.40 does not exist'
        ENDIF
@@ -2939,5 +2939,5 @@
            vg(k,:)=vg_i(nlevel+1-k,:)
            pf(k)=pf_i(nlevel+1-k)
-           print *,'pf=',pf(k)
+           PRINT *,'pf=',pf(k)
            th(k)=th_i(nlevel+1-k)
            t(k)=t_i(nlevel+1-k)
@@ -2993,5 +2993,5 @@
       read (11, '(f10.4)') sw_dn_toa
       sza=cos(za/180.*RPI)
-      print *,'nlev,tsfc,sza,sw_dn_toa,RPI',nlev,tsfc,sza,sw_dn_toa,RPI
+      PRINT *,'nlev,tsfc,sza,sw_dn_toa,RPI',nlev,tsfc,sza,sw_dn_toa,RPI
       close(11)
 
@@ -3088,5 +3088,5 @@
       DO il=1,39
          plev(il)=play(il)+(play(il+1)-play(il))/2.
-         print *,'il p t ovap oz=',il,plev(il),temp(il),ovap(il),oz(il)
+         PRINT *,'il p t ovap oz=',il,plev(il),temp(il),ovap(il),oz(il)
       enddo
       plev(41)=101300.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5160)
@@ -22,5 +22,5 @@
      &               Tp_fcg_gcssold,Turb_fcg_gcssold)
        IF (prt_level.ge.1) THEN
-         print *,' get_uvd -> hqturb_gcssold ',it,hqturb_gcssold
+         PRINT *,' get_uvd -> hqturb_gcssold ',it,hqturb_gcssold
        endif
 ! large-scale forcing :
@@ -108,5 +108,5 @@
      &             ,omega_profd)
 !     do l = 1, llm
-!     print *,'llm l omega_profd',llm,l,omega_profd(l)
+!     PRINT *,'llm l omega_profd',llm,l,omega_profd(l)
 !     enddo
 ! EV tg instead of ts_cur
@@ -120,5 +120,5 @@
      &         ,ht_mod,hq_mod,hu_mod,hv_mod,w_mod,omega_mod,mxcalc)
 !     do l = 1, llm
-!      print *,'llm l omega_mod',llm,l,omega_mod(l)
+!      PRINT *,'llm l omega_mod',llm,l,omega_mod(l)
 !     enddo
 
@@ -168,5 +168,5 @@
       ust=ustar_prof
       tg=tg_prof
-      print *,'ust= ',ust
+      PRINT *,'ust= ',ust
       DO l = 1, llm
        ug(l)= ug_profd
@@ -453,5 +453,5 @@
          d_q_adv(l,1) = adv_qt_prof/1000./3600.
          d_q_adv(l,2) = 0.0
-!        print *,'INF1000: phi dth dq1 dq2',
+!        PRINT *,'INF1000: phi dth dq1 dq2',
 !    :  phi(l)/RG,d_t_adv(l),d_q_adv(l,1),d_q_adv(l,2)
        ELSEIF ((phi(l)/RG).GE.1000.AND.(phi(l)/RG).lt.3000) THEN
@@ -461,5 +461,5 @@
          d_q_adv(l,1) = adv_qt_prof*fact/1000./3600.
          d_q_adv(l,2) = 0.0
-!        print *,'SUP1000: phi fact dth dq1 dq2',
+!        PRINT *,'SUP1000: phi fact dth dq1 dq2',
 !    :  phi(l)/RG,fact,d_t_adv(l),d_q_adv(l,1),d_q_adv(l,2)
        ELSE
@@ -467,9 +467,9 @@
          d_q_adv(l,1) = 0.0
          d_q_adv(l,2) = 0.0
-!        print *,'SUP3000: phi dth dq1 dq2',
+!        PRINT *,'SUP3000: phi dth dq1 dq2',
 !    :  phi(l)/RG,d_t_adv(l),d_q_adv(l,1),d_q_adv(l,2)
        ENDIF
       dt_cooling(l) = 0.0  
-!     print *,'Interp armcu: phi dth dq1 dq2',
+!     PRINT *,'Interp armcu: phi dth dq1 dq2',
 !    :  l,phi(l),d_t_adv(l),d_q_adv(l,1),d_q_adv(l,2)
       enddo
@@ -517,5 +517,5 @@
        d_t_z(l)=(temp(l+1)-temp(l))/(play(l+1)-play(l))
        d_q_z(l)=(q(l+1,1)-q(l,1))/(play(l+1)-play(l))
-!     print *,'l temp2 temp0 play2 play0 omega_mod',
+!     PRINT *,'l temp2 temp0 play2 play0 omega_mod',
 !    & temp(l+1),temp(l-1),play(l+1),play(l-1),omega_mod(l)
       ENDDO
@@ -530,5 +530,5 @@
       d_q_dyn_z(:)=omega_mod(:)*d_q_z(:)
 !     do l=1,llm
-!      print *,'d_t_dyn omega_mod d_t_z d_q_dyn d_q_z',
+!      PRINT *,'d_t_dyn omega_mod d_t_z d_q_dyn d_q_z',
 !    :l,d_t_dyn_z(l),omega_mod(l),d_t_z(l),d_q_dyn_z(l),d_q_z(l)
 !     enddo
@@ -598,5 +598,5 @@
        d_t_z(l)=(temp(l+1)-temp(l))/(play(l+1)-play(l))
        d_q_z(l)=(q(l+1,1)-q(l,1))/(play(l+1)-play(l))
-!     print *,'l temp2 temp0 play2 play0 omega_mod',
+!     PRINT *,'l temp2 temp0 play2 play0 omega_mod',
 !    & temp(l+1),temp(l-1),play(l+1),play(l-1),omega_mod(l)
       ENDDO
@@ -611,5 +611,5 @@
       d_q_dyn_z(:)=w_mod(:)*d_q_z(:)
 !     do l=1,llm
-!      print *,'d_t_dyn omega_mod d_t_z d_q_dyn d_q_z',
+!      PRINT *,'d_t_dyn omega_mod d_t_z d_q_dyn d_q_z',
 !    :l,d_t_dyn_z(l),omega_mod(l),d_t_z(l),d_q_dyn_z(l),d_q_z(l)
 !     enddo
@@ -792,5 +792,5 @@
         IF (tend_rayo.EQ.1) THEN
            dt_cooling(l) = dtrad_mod_cas(l)
-!          print *,'dt_cooling=',dt_cooling(l)
+!          PRINT *,'dt_cooling=',dt_cooling(l)
         else
            dt_cooling(l) = 0.0
@@ -806,5 +806,5 @@
       IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
       ENDIF
       endif ! forcing_case
@@ -1001,5 +1001,5 @@
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
-!          print *,'dt_cooling=',dt_cooling(l)
+!          PRINT *,'dt_cooling=',dt_cooling(l)
         else
            dt_cooling(l) = 0.0
@@ -1011,10 +1011,10 @@
        fsens=-1.*sens_prof_cas
        flat=-1.*lat_prof_cas
-       print *,'1D_interp: sens,flat',fsens,flat
+       PRINT *,'1D_interp: sens,flat',fsens,flat
       ENDIF
 
       IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
       ENDIF
       endif ! forcing_case2
